<div (onEscape)="backToList()"
     solidifyShortCuts
>

  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                     [formPresentational]="formPresentational"
                                     [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-metadata-type-form #formPresentational
                                   (checkAvailableChange)="checkAvailable($event)"
                                   (dirtyChange)="updateCanDeactivate($event)"
                                   (submitChange)="create($event)"
                                   *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                   [solidifyFocusFirstElement]="true"
    ></dlcm-admin-metadata-type-form>
  </div>
</div>
